<?php

namespace App\Core\Validator\PropertyRoomRate;

use Illuminate\Contracts\Container\Container;
use Illuminate\Contracts\Translation\Translator;

use App\Core\Validator\BaseValidator;

use Exception;

class PropertyRoomRateAddValidator extends BaseValidator
{


    public function __construct
    (


        Translator $translator,
        Container $container
    )
    {
        parent::__construct($translator, $container);

    }

    public function rules($params = null)
    {
        return             [
            'property_id' => 'required|numeric',
            'name' => 'required',
            'accommodation_type' => 'required|numeric',
            'min_stay' => 'required|numeric',
            'max_stay' => 'required|numeric',
        ];
    }

    public function messages()
    {
        $thisMessages = [];
        return array_merge(parent::messages() , $thisMessages);
    }




    public function validate(array $params, array $rules = [], array $messages = [], array $customAttributes = [])
    {
        return $this->make($params, $this->rules($params), $this->messages());
    }

}
